Subject: bug#6177: 23.2; emacs crashes when reverting a file

From: "Roland Winkler" <[email-masked]>
Date: Wed, 26 May 2010 10:01:52 -0500

On Wed May 26 2010 Geoff Gole wrote:
> I can reproduce this crash in an emacs -Q with the following code:
> 
> (with-current-buffer (get-buffer-create "foo")
>   (setq mode-line-buffer-identification '(:eval (erase-buffer)))
>   (switch-to-buffer "foo")
>   (insert "a"))

This looks, indeed, like the same thing in a yet simpler version.
Since I submitted my original bug report I switched from a 32bit to
a 64bit OS, with which I can reproduce these crashes, too.

In GNU Emacs 23.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.20.0)
 of 2010-05-21 on regnitz